#!/bin/sh
lxsocva=2.6.32

lxsocra=stretch
lxsocsa="+deb9"

lxdebua=https://www.kernel.org/pub/linux/kernel/v3.x
lxdebva=2.6.32-1

lxorgub=https://www.kernel.org/pub/linux/kernel/v3.x

lxdebrb=jessie

lxdebub=http://security.debian.org/pool/updates/main/l/linux
lxdebdb=${lxdebrb}/updates
lxdebvb=2.6.32-3+deb8u1

#lxdebub=http://ftp.us.debian.org/debian/pool/main/l/linux
#lxdebdb=${lxdebrb}-updates
#lxdebvb=2.6.32-3

BSP_ARCH=amd64
BSP_VENDOR=Synology
BSP_CONFIG=ds1512plus
BSP_MODEL=ds1512plus
BSP_MODEL_2=ds1512plus
BSP_ABINAME=2.6.32-6

DEB_VENDOR="ARM Ltd."
DEB_MODEL=amd64
DEB_NAME="ARMv7"
DEB_ABINAME=2.6.32-5
lldebva=63

# static definitions end

lxsocka=${lxsocva}
lxdebka=${lxdebva/-*/}
lxdebkb=${lxdebvb/-*/}

lxsocla=`echo "${lxsocka}" | cut -d . -f 3`
lxdebla=`echo "${lxdebka}" | cut -d . -f 3`
lxdeblb=`echo "${lxdebkb}" | cut -d . -f 3`

DEB_ABI_MAJOR=`echo ${DEB_ABINAME} | cut -d "." -f 1`
DEB_ABI_MINOR=`echo ${DEB_ABINAME} | cut -d "." -f 2`
DEB_ABI_PATCH=`echo ${DEB_ABINAME} | cut -d "." -f 3 | cut -d "-" -f 1`
DEB_ABI_STEP=`echo ${DEB_ABINAME} | cut -d "-" -f 2`

BSP_ABI_MAJOR=`echo ${BSP_ABINAME} | cut -d "." -f 1`
BSP_ABI_MINOR=`echo ${BSP_ABINAME} | cut -d "." -f 2`
BSP_ABI_PATCH=`echo ${BSP_ABINAME} | cut -d "." -f 3 | cut -d "-" -f 1`
BSP_ABI_STEP=`echo ${BSP_ABINAME} | cut -d "-" -f 2`

BSP_KBUILD=`echo ${BSP_ABINAME} | cut -d "." -f 1-2`
BSP_KERNEL_VER=${BSP_ABINAME}-${BSP_MODEL}
BSP_KERNEL_DEB=linux-image-${BSP_ABINAME}-${BSP_MODEL}_1_none.deb

BSP_NAME=`echo "${BSP_MODEL}" | tr a-z A-Z`
BSP_NAME_2=`echo "${BSP_MODEL_2}" | tr a-z A-Z`

#EOF

