#!/bin/sh
synofam=88f628x
synolxa=2.6.32
#synofam=comcerto2k
#synolxa=3.2.40
synolva=25426

if [ "X$1" != "X" ]; then
  synofam=$1
fi

synosta=`cat arch-list-${synolxa}.txt | grep '^'${synofam}';' | cut -d ';' -f 2`
synoend=`cat arch-list-${synolxa}.txt | grep '^'${synofam}';' | cut -d ';' -f 3`

if [ "X$2" != "X" ]; then
  synosta=$2
fi
if [ "X$3" != "X" ]; then
  synoend=$3
fi

echo "${synofam} from ${synosta} to ${synoend}"

. ./build-env.sh
if [ -e build-env-${synofam}.sh ]; then
  echo "Using build-env-${synofam}.sh"
  . ./build-env-${synofam}.sh
fi

for b in `cat branch-list.txt` ; do
  synolva=$b

  if [ ${synolva} -lt ${synosta} ]; then
    continue
  fi
  if [ ${synolva} -gt ${synoend} ]; then
    continue
  fi
  if [ ${synolva} = 3203 -a ${BSP_ARCH} = amd64 ]; then
    continue
  fi
  if [ ${synolva} = 3203 -a ${synolxa} = 2.6.32 ]; then
    continue
  fi
  if [ ${synolva} = 5644 -a ${synolxa} = 2.6.32 ]; then
    continue
  fi

  #synolxa=3.2.40
  #if [ ${synolva} -lt 3200 ]; then
  #  synolxa=3.2.11
  #elif [ ${synolva} -lt 3700 ]; then
  #  synolxa=3.2.30
  #fi

  synofab=${synofam}
  synofam=88f628x
  #synofam=comcerto2k
  #if [ ${synolva} -lt 3203 ]; then
  #  synofam=x64
  #elif [ ${synolva} -lt 4450 ]; then
  #  synofam=armada370
  #fi

  synofaa=${synofam}
  synofam=${synofab}

  echo "Building ${synolva} ${synofam} ..."
  #if false ; then
  rm -rf linux/
  bash -e prepare-linux.sh ${synolva} ${synofam}

  bash -e config-linux.sh 
  bash -e build-linux.sh 

  mv *.deb HISTORY/
  mv linux-image-*.zip HISTORY/
  #fi
  echo ""
done

echo OK
